Bug 237454 - rpm --aid doesn't work
Summary: rpm --aid doesn't work
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpmdb-redhat (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dennis Gregorovic
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 222082
TreeView+ depends on / blocked
 
Reported: 2007-04-23 10:50 UTC by kapiszon
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 08:54:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kapiszon 2007-04-23 10:50:36 UTC
Description of problem:

Resolving dependencies with rpm --aid doesn't work.
Lack of rpmdb-redhat package in installation tree.

Does any workaround exist?

Comment 1 Jeff Johnson 2007-04-23 10:54:06 UTC
Use rpmcache to build your own rpmdb-redhat. Or convince your vendor to include rpmdb-vendor.

Comment 2 kapiszon 2007-04-23 12:42:17 UTC

I think, RedHat's packages should have own rpmdb-redhat database to install base
system component without using yum.
 


Comment 3 kapiszon 2007-04-23 12:43:58 UTC
I think, RedHat's packages should have own rpmdb-redhat database to install base
system component without using yum.
 

Comment 5 Daniel Riek 2007-09-07 19:59:38 UTC
"rpm --aid" is not supported in RHEL5 as yum provides a better solution for the
same problem.

Comment 6 Don Domingo 2007-09-09 23:40:37 UTC
added to RHEl5.1 release notes under "Other Updates":
<quote>
rpm --aid is no longer supported. It is recommended that you use yum when
updating and installing packages.
</quote>

please advise if any revisions are necessary. the release notes deadline is 10
Sept 2007. thanks!


Note You need to log in before you can comment on or make changes to this bug.